Bug 953632 (CVE-2013-1964)

Summary: CVE-2013-1964 xen: grant table hypercall acquire/release imbalance
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, anton, bhu, dhoward, drjones, esammons, fhrbata, iboverma, imammedo, jforbes, jkacur, kernel-mgr, kraxel, lersek, lgoncalv, lwang, m.a.young, mcressma, mrezanin, npajkovs, pbonzini, plougher, rt-maint, rvrbovsk, virt-maint, williams, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20130418,reported=20130418,source=upstream,cvss2=5.7/AV:A/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel-xen=notaffected,fedora-all/xen=affected,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-06 12:22:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 953633    
Bug Blocks: 953634    

Description Petr Matousek 2013-04-18 14:06:26 EDT
When releasing a non-v1 non-transitive grant after doing a grant copy operation, Xen incorrectly recurses (as if for a transitive grant) and releases an unrelated grant reference.

A malicious guest administrator can cause undefined behaviour; depending on the dom0 kernel a host crash is possible, but information leakage or privilege escalation cannot be ruled out.

References:

http://permalink.gmane.org/gmane.comp.security.oss.general/9978

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.
Comment 1 Petr Matousek 2013-04-18 14:07:20 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 2 Petr Matousek 2013-04-18 14:08:32 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 953633]
Comment 3 Fedora Update System 2013-05-04 22:24:52 EDT
xen-4.1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.